/*    Layouts     */

body {
  min-height: 100vh;
  position: relative;
}

.wrapper {
  min-height: 100vh;
  position: relative;
  top: 0;
  height: 100vh;
}

.main-header {
  min-height: 55px;
  width: 100%;
  background: $white-color;
  position: fixed;
  z-index: 1001;
  border-bottom: 1px solid #eee;
  .logo-header {
    float: left;
    width: 260px;
    height: 55px;
    line-height: 55px;
    border-right: 1px solid #eee;
    color: $black-color;
    z-index: 1001;
    font-size: 18px;
    font-weight: $font-weight-bold;
    padding-left: 25px;
    padding-right: 25px;
    z-index: 1001;
    display: inline-block;
    a.logo {
      color: $body-text-color;
    }
    .navbar-toggler {
      padding-left: 0px;
      padding-right: 0px;
      opacity: 0;
      .navbar-toggler-icon {
        background: url(../img/menu2.png);
        background-size: cover;
        height: 1em;
        width: 1em;
        opacity: .8;
      }
    }
    .more {
      background: $transparent-bg;
      border: 0;
      font-size: 26px;
      padding: 0;
      opacity: 0;
    }
  }
}

.sidebar {
  position: fixed;
  top: 0;
  bottom: 0;
  left: 0;
  width: 260px;
  display: block;
  z-index: 1;
  color: #eee38a;
  font-weight: 200;
  background: #eee38a;
  background-size: cover;
  background-position: center center;
  border-right: 1px solid #eee;
  box-shadow: 6px 1px 20px rgba(69, 65, 78, 0.1);
  .user {
    margin-top: 12.5px;
    padding-left: 25px;
    padding-right: 25px;
    padding-bottom: 12.5px;
    border-bottom: 1px solid #eee;
    display: block;
    .photo {
      width: 40px;
      height: 40px;
      overflow: hidden;
      float: left;
      margin-right: 11px;
      z-index: 5;
      border-radius: 50%;
      img {
        width: 100%;
        height: 100%;
      }
    }
    .info {
      a {
        white-space: nowrap;
        display: block;
        position: relative;
        &:hover, &:focus {
          text-decoration: none;
        }
        > span {
          font-size: 14px;
          font-weight: $font-weight-bold;
          color: #777;
          letter-spacing: 0.04em;
          display: flex;
          flex-direction: column;
          .user-level {
            color: #555;
            font-weight: 700;
            font-size: 13px;
            letter-spacing: 0.05em;
            margin-top: 5px;
          }
        }
        .link-collapse {
          padding: 7px 0;
        }
      }
      .caret {
        position: absolute;
        top: 17px;
        right: 0px;
        border-top-color: #777;
      }
    }
  }
  .sidebar-wrapper {
    position: relative;
    max-height: calc(100vh - 75px);
    min-height: 100%;
    overflow: auto;
    width: 260px;
    z-index: 4;
    padding-top: 55px;
    padding-bottom: 100px;
  }
  .nav {
    display: block;
    float: none;
    margin-top: 20px;
    .nav-item {
      display: list-item;
      &.active {
        a {
          color: $body-text-color;
          font-weight: 700;
          &:before {
            background: #1d7af3;
            opacity: 1 !important;
            position: absolute;
            z-index: 1;
            width: 3px;
            height: 100%;
            content: '';
            left: 0;
            top: 0;
          }
        }
        &:hover a:before {
          background: #1d7af3;
          opacity: 1 !important;
          position: absolute;
          z-index: 1;
          width: 3px;
          height: 100%;
          content: '';
          left: 0;
          top: 0;
        }
        a i {
          color: #4d7cfe;
        }
      }
      a {
        display: flex;
        align-items: center;
        color: #83848a;
        padding: 13px 25px;
        width: 100%;
        font-size: 14px;
        font-weight: $font-weight-bold;
        position: relative;
        margin-bottom: 5px;
        &:hover, &:focus {
          text-decoration: none;
          background: #fbfbfb;
        }
      }
      &:hover a:before {
        background: #1d7af3;
        opacity: 0.7;
        position: absolute;
        z-index: 1;
        width: 3px;
        height: 100%;
        content: '';
        left: 0;
        top: 0;
      }
      a {
        i {
          font-size: 23px;
          color: #C3C5CA;
          margin-right: 15px;
          width: 25px;
          text-align: center;
          vertical-align: middle;
          float: left;
        }
        p {
          font-size: 14px;
          margin-bottom: 0px;
          letter-spacing: .04em;
          margin-right: 5px;
        }
      }
    }
  }
}

.main-panel {
  position: relative;
  width: calc(100% - 260px);
  min-height: 100%;
  float: right;
  background: #f2f3f8;
  .content {
    padding: 30px 15px;
    min-height: calc(100% - 123px);
    margin-top: 55px;
  }
}

.footer {
  border-top: 1px solid #eee;
  padding: 15px;
  background: $white-color;
  .container-fluid {
    display: flex;
    align-items: center;
  }
}